Lavalite package that provides flat management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/flat`.

    "litecms/flat": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Flat\Providers\FlatServiceProvider::class,

And also add it to alias

    'Flat'  => Litecms\Flat\Facades\Flat::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\FlatTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Flat\Providers\FlatServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Flat\Providers\FlatServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Flat\Providers\FlatServiceProvider" --tag="view"


## Usage


