<?php

namespace Litecms\Flat\Repositories\Eloquent;

use Litecms\Flat\Interfaces\FlatsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class FlatsRepository extends BaseRepository implements FlatsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.flat.flats.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.flat.flats.model.model');
    }
}
